# -*- encoding: utf-8 -*-
# stub: origami 1.2.6 ruby lib

Gem::Specification.new do |s|
  s.name = "origami"
  s.version = "1.2.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Guillaume Delugre"]
  s.date = "2015-06-13"
  s.description = "Origami is a PDF-compliant parser. This is not a PDF rendering library, it aims at providing a scripting tool to generate and analyze malicious PDF files. \nAs well, it can be used to create on-the-fly customized PDFs, or to inject (evil) code into already existing documents.\n"
  s.email = "guillaume at security-labs dot org"
  s.executables = ["pdfdecompress", "pdfdecrypt", "pdfencrypt", "pdfmetadata", "pdf2graph", "pdf2ruby", "pdfextract", "pdfcop", "pdfcocoon", "pdfsh", "pdfwalker", "pdf2pdfa", "pdfexplode"]
  s.files = ["COPYING.LESSER", "README", "bin/config", "bin/config/pdfcop.conf.yml", "bin/gui", "bin/gui/COPYING", "bin/gui/about.rb", "bin/gui/config.rb", "bin/gui/file.rb", "bin/gui/gtkhex.rb", "bin/gui/hexview.rb", "bin/gui/imgview.rb", "bin/gui/menu.rb", "bin/gui/properties.rb", "bin/gui/signing.rb", "bin/gui/textview.rb", "bin/gui/treeview.rb", "bin/gui/walker.rb", "bin/gui/xrefs.rb", "bin/pdf2graph", "bin/pdf2pdfa", "bin/pdf2ruby", "bin/pdfcocoon", "bin/pdfcop", "bin/pdfdecompress", "bin/pdfdecrypt", "bin/pdfencrypt", "bin/pdfexplode", "bin/pdfextract", "bin/pdfmetadata", "bin/pdfsh", "bin/pdfwalker", "bin/shell", "bin/shell/.irbrc", "bin/shell/console.rb", "bin/shell/hexdump.rb", "lib/origami", "lib/origami.rb", "lib/origami/3d.rb", "lib/origami/acroform.rb", "lib/origami/actions.rb", "lib/origami/annotations.rb", "lib/origami/array.rb", "lib/origami/boolean.rb", "lib/origami/catalog.rb", "lib/origami/destinations.rb", "lib/origami/dictionary.rb", "lib/origami/encryption.rb", "lib/origami/export.rb", "lib/origami/extensions", "lib/origami/extensions/fdf.rb", "lib/origami/extensions/ppklite.rb", "lib/origami/file.rb", "lib/origami/filters", "lib/origami/filters.rb", "lib/origami/filters/ascii.rb", "lib/origami/filters/ccitt.rb", "lib/origami/filters/crypt.rb", "lib/origami/filters/dct.rb", "lib/origami/filters/flate.rb", "lib/origami/filters/jbig2.rb", "lib/origami/filters/jpx.rb", "lib/origami/filters/lzw.rb", "lib/origami/filters/predictors.rb", "lib/origami/filters/runlength.rb", "lib/origami/font.rb", "lib/origami/functions.rb", "lib/origami/graphics", "lib/origami/graphics.rb", "lib/origami/graphics/colors.rb", "lib/origami/graphics/instruction.rb", "lib/origami/graphics/path.rb", "lib/origami/graphics/patterns.rb", "lib/origami/graphics/render.rb", "lib/origami/graphics/state.rb", "lib/origami/graphics/text.rb", "lib/origami/graphics/xobject.rb", "lib/origami/header.rb", "lib/origami/javascript.rb", "lib/origami/linearization.rb", "lib/origami/metadata.rb", "lib/origami/name.rb", "lib/origami/null.rb", "lib/origami/numeric.rb", "lib/origami/obfuscation.rb", "lib/origami/object.rb", "lib/origami/outline.rb", "lib/origami/outputintents.rb", "lib/origami/page.rb", "lib/origami/parser.rb", "lib/origami/parsers", "lib/origami/parsers/fdf.rb", "lib/origami/parsers/pdf", "lib/origami/parsers/pdf.rb", "lib/origami/parsers/pdf/linear.rb", "lib/origami/parsers/ppklite.rb", "lib/origami/pdf.rb", "lib/origami/reference.rb", "lib/origami/signature.rb", "lib/origami/stream.rb", "lib/origami/string.rb", "lib/origami/trailer.rb", "lib/origami/webcapture.rb", "lib/origami/xfa.rb", "lib/origami/xreftable.rb", "samples/README.txt", "samples/actions", "samples/actions/launch", "samples/actions/launch/calc.rb", "samples/actions/launch/winparams.rb", "samples/actions/loop", "samples/actions/loop/loopgoto.rb", "samples/actions/loop/loopnamed.rb", "samples/actions/named", "samples/actions/named/named.rb", "samples/actions/samba", "samples/actions/samba/smbrelay.rb", "samples/actions/triggerevents", "samples/actions/triggerevents/trigger.rb", "samples/actions/webbug", "samples/actions/webbug/submitform.js", "samples/actions/webbug/webbug-browser.rb", "samples/actions/webbug/webbug-js.rb", "samples/actions/webbug/webbug-reader.rb", "samples/attachments", "samples/attachments/attach.rb", "samples/attachments/attached.txt", "samples/crypto", "samples/crypto/crypto.rb", "samples/digsig", "samples/digsig/signed.rb", "samples/exploits", "samples/exploits/cve-2008-2992-utilprintf.rb", "samples/exploits/cve-2009-0927-geticon.rb", "samples/exploits/exploit_customdictopen.rb", "samples/exploits/getannots.rb", "samples/flash", "samples/flash/flash.rb", "samples/javascript", "samples/javascript/attached.txt", "samples/javascript/js.rb", "templates/patterns.rb", "templates/widgets.rb", "templates/xdp.rb", "test/dataset", "test/dataset/test.dummycrt", "test/dataset/test.dummykey", "test/tc_actions.rb", "test/tc_annotations.rb", "test/tc_pages.rb", "test/tc_pdfattach.rb", "test/tc_pdfencrypt.rb", "test/tc_pdfnew.rb", "test/tc_pdfparse.rb", "test/tc_pdfsig.rb", "test/tc_streams.rb", "test/ts_pdf.rb"]
  s.homepage = "http://code.google.com/p/origami-pdf"
  s.licenses = ["LGPL-3"]
  s.requirements = ["ruby-gtk2 if you plan to run the PDF Walker interface"]
  s.rubygems_version = "2.2.2"
  s.summary = "Origami aims at providing a scripting tool to generate and analyze malicious PDF files."
  s.test_files = ["test/ts_pdf.rb"]
end
